# Asterisk Project : Asterisk 12 Application_WaitExten

Added by wikibot , edited by wikibot on Aug 29, 2013

# WaitExten()

### Synopsis

Waits for an extension to be entered.

### Description

This application waits for the user to enter a new extension for a specified number of seconds.

Warning

Icon

Use of the application `WaitExten` within a macro will not function as expected. Please use the `Read` application in order to read DTMF from a channel currently executing a macro.

### Syntax

    WaitExten(seconds,options)

##### Arguments

- `seconds` - Can be passed with fractions of a second. For example, `1.5` will ask the application to wait for 1.5 seconds.
- `options`
  - `m` - Provide music on hold to the caller while waiting for an extension.
    - `x` - Specify the class for music on hold. CHANNEL(musicclass) will be used instead if set

### See Also

- Asterisk 12 Application_Background
- Asterisk 12 Function_TIMEOUT

### Import Version

This documentation was imported from Asterisk Version Unknown